# CardGameReceiver (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.parlor.card.client
Interface CardGameReceiver

All Superinterfaces:
  com.threerings.presents.client.InvocationReceiver

All Known Implementing Classes:
  CardGameController

    public interface CardGameReceiver

extends com.threerings.presents.client.InvocationReceiver

Defines, for the card game services, a set of notifications delivered asynchronously by the server to the client.

Nested Class Summary

Nested classes/interfaces inherited from interface com.threerings.presents.client.InvocationReceiver
`com.threerings.presents.client.InvocationReceiver.Registration`

Method Summary
`void` `cardsTransferredBetweenPlayers(int fromidx, int toidx, int cards)` Dispatched to the client when a set of cards is transferred between two other players in the game.
`void` `receivedCardsFromPlayer(int plidx, Card[] cards)` Dispatched to the client when it has received a set of cards from another player.
`void` `receivedHand(int oid, Hand hand)` Dispatched to the client when it has received a hand of cards.
`void` `sentCardsToPlayer(int plidx, Card[] cards)` Dispatched to the client when the server has forced it to send a set of cards to another player.

Method Detail

### receivedHand

    void receivedHand(int oid,
                      Hand hand)

  Dispatched to the client when it has received a hand of cards.

  Parameters:
    `oid` - the oid of the game for which this hand applies
    `hand` - the received hand

### receivedCardsFromPlayer

    void receivedCardsFromPlayer(int plidx,
                                 Card[] cards)

  Dispatched to the client when it has received a set of cards from another player.

  Parameters:
    `plidx` - the index of the player providing the cards
    `cards` - the cards received

### sentCardsToPlayer

    void sentCardsToPlayer(int plidx,
                           Card[] cards)

  Dispatched to the client when the server has forced it to send a set of cards to another player.

  Parameters:
    `plidx` - the index of the player to which the cards were sent
    `cards` - the cards sent

### cardsTransferredBetweenPlayers

    void cardsTransferredBetweenPlayers(int fromidx,
                                        int toidx,
                                        int cards)

  Dispatched to the client when a set of cards is transferred between two other players in the game.

  Parameters:
    `fromidx` - the index of the player sending the cards
    `toidx` - the index of the player receiving the cards
    `cards` - the number of cards transferred

Copyright © 2011. All Rights Reserved.